Skip to main content

Topic: WHY a particular LAME version (Read 31687 times) previous topic - next topic

0 Members and 1 Guest are viewing this topic.
  • moorex
  • [*]
WHY a particular LAME version
I have read quite a lot stuff on the net recommending the 3.90.3 ver. of the LAME encoder. Why is it better than the newer versions?
please post some detailed info
Increase the Peace!!!
Integrated audio, soon Audigy 2! 2x40HDDs, soon 1x40 & 1x250GB! 5.1 Luxeon speakers. DAP: XClef HD-500 FW 5.323

  • music_man_mpc
  • [*][*][*][*][*]
  • Members (Donating)
WHY a particular LAME version
Reply #1
The presets (--alt-preset xxx) for the 3.90.X branch of LAME were designed by many of the original members of this site and were exhaustively tested to make sure that they utilized the best possible settings for quality.  Subsequent versions of LAME broke compatibility with these presets to allow for many other improvements (faster, bug issues, etc), thus making a temporary regression in quality.  LAME 3.96.1 seemed as though it might be about the same quality as 3.90.3 in some of the tests done after it was released.  However, in the minds of the administration of this forum it has not yet been tested extensively enough, thus 3.90.3 is still the recommended version.  LAME 3.96.1 has been proven to be of superior quality for some bitrates where there are no VBR presets for 3.90.3, only ABR.  Thus 3.90.3 --alt-preset standard is considered to be better than 3.96.1 -V 2 (--preset standard) but 3.96.1 -V 5 (approximatly 128kb/s) is better then 3.90.3 --alt-preset 128.  It is also worth noting that 3.96.1 is at least twice as fast as 3.90.3 for encoding and that -V 2 produces slightly smaller files then --alt-preset standard.

edit: typos
  • Last Edit: 20 December, 2004, 04:00:16 PM by music_man_mpc
gentoo ~amd64 + layman | ncmpcpp/mpd | wavpack + vorbis + lame

  • dev0
  • [*][*][*][*][*]
  • Developer
WHY a particular LAME version
Reply #2
Very well put.
"To understand me, you'll have to swallow a world." Or maybe your words.

  • music_man_mpc
  • [*][*][*][*][*]
  • Members (Donating)
WHY a particular LAME version
Reply #3
Quote
Very well put.
[a href="index.php?act=findpost&pid=260401"][{POST_SNAPBACK}][/a]

Thanks, I tried to make it as concise as possible while hitting all the important issues.  Perhaps this could replace "Differences between Lame 3.90.3 APS and 3.93.1 APS -Z
LAME 3.93.1 vs 3.90.3" in the FAQ?  As not too many people are asking about 3.93.1 these days .
gentoo ~amd64 + layman | ncmpcpp/mpd | wavpack + vorbis + lame

  • dev0
  • [*][*][*][*][*]
  • Developer
WHY a particular LAME version
Reply #4
I added this thread to the FAQ and extended the "Recommended LAME compile" thread with your information.
Thanks a lot for your effort.
This is something which should have been done a lot earlier.
"To understand me, you'll have to swallow a world." Or maybe your words.

WHY a particular LAME version
Reply #5
Quote
LAME 3.96.3 has been proven to be of superior quality for some bitrates. . .

edit: typos
[a href="index.php?act=findpost&pid=260399"][{POST_SNAPBACK}][/a]


Since this is now linked to the FAQ, please correct this (one more) typo. . . .

  • music_man_mpc
  • [*][*][*][*][*]
  • Members (Donating)
WHY a particular LAME version
Reply #6
Quote
Quote
LAME 3.96.3 has been proven to be of superior quality for some bitrates. . .

edit: typos
[a href="index.php?act=findpost&pid=260399"][{POST_SNAPBACK}][/a]


Since this is now linked to the FAQ, please correct this (one more) typo. . . .
[a href="index.php?act=findpost&pid=260901"][{POST_SNAPBACK}][/a]

Thanks for pointing that out odious.
gentoo ~amd64 + layman | ncmpcpp/mpd | wavpack + vorbis + lame

WHY a particular LAME version
Reply #7
Quote
Thanks for pointing that out odious.
[a href="index.php?act=findpost&pid=260904"][{POST_SNAPBACK}][/a]


Thank you, music_man.